# Yahoo! UI Library

### tabview 2.5.0

Yahoo! UI Library > tabview > YAHOO.widget.Tab

Show Private Show Protected

## Class YAHOO.widget.Tab - extends YAHOO.util.Element

A representation of a Tab's label and content.

### Constructor

YAHOO.widget.Tab `( element , properties )`

Parameters:
  `element <HTMLElement | String>` (optional) The html element that represents the TabView. An element will be created if none provided.
  `properties <Object>` A key map of initial properties

### Properties

#### ACTIVE_CLASSNAME `- String`

The class name applied to active tabs.
Default Value: "selected"

#### ACTIVE_TITLE `- String`

The title applied to active tabs.
Default Value: "active"

#### dataConnection `- Object`

Provides a reference to the connection request object when data is loaded dynamically.

#### DISABLED_CLASSNAME `- String`

The class name applied to disabled tabs.
Default Value: "disabled"

#### LABEL_INNER_TAGNAME `- String`

The default tag name for a Tab's inner element.
Default Value: "em"

#### loadHandler `- object`

Object containing success and failure callbacks for loading data.

#### LOADING_CLASSNAME `- String`

The class name applied to dynamic tabs while loading.
Default Value: "disabled"

#### Properties inherited from YAHOO.util.Element:

`DOM_EVENTS`

#### Properties inherited from YAHOO.util.AttributeProvider:

`_configs`

#### Properties inherited from YAHOO.util.EventProvider:

`__yui_events, __yui_subscribers`

### Methods

#### initAttributes

`void initAttributes ( attr )`
setAttributeConfigs TabView specific properties.

Parameters:
  `attr <Object>` Hash of initial attributes

Returns: `void`

#### toString

`void toString ( )`
Provides a readable name for the tab.

Returns: `void`
  String

#### Methods inherited from YAHOO.util.Element:

`_registerHTMLAttr, addClass, addListener, appendChild, appendTo, fireQueue, getElementsByClassName, getElementsByTagName, getStyle, hasChildNodes, hasClass, initAttributes, insertBefore, on, removeChild, removeClass, removeListener, replaceChild, replaceClass, setStyle, subscribe`

#### Methods inherited from YAHOO.util.AttributeProvider:

`configureAttribute, fireBeforeChangeEvent, fireChangeEvent, get, getAttributeConfig, getAttributeKeys, refresh, register, resetAttributeConfig, resetValue, set, setAttributeConfig, setAttributes`

#### Methods inherited from YAHOO.util.EventProvider:

`createEvent, fireEvent, hasEvent, subscribe, unsubscribe, unsubscribeAll`

### Events

#### activationEventChange

`activationEventChange ( eventInfo )`
Fires when the value for the configuration attribute 'activationEvent' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### activeChange

`activeChange ( eventInfo )`
Fires when the value for the configuration attribute 'active' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeActivationeventChange

`beforeActivationeventChange ( eventInfo )`
Fires before the value for the configuration attribute 'activationEvent' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeActiveChange

`beforeActiveChange ( eventInfo )`
Fires before the value for the configuration attribute 'active' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeCachedataChange

`beforeCachedataChange ( eventInfo )`
Fires before the value for the configuration attribute 'cacheData' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeContentChange

`beforeContentChange ( eventInfo )`
Fires before the value for the configuration attribute 'content' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeContentelChange

`beforeContentelChange ( eventInfo )`
Fires before the value for the configuration attribute 'contentEl' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeContentvisibleChange

`beforeContentvisibleChange ( eventInfo )`
Fires before the value for the configuration attribute 'contentVisible' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeDataloadedChange

`beforeDataloadedChange ( eventInfo )`
Fires before the value for the configuration attribute 'dataLoaded' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeDatasrcChange

`beforeDatasrcChange ( eventInfo )`
Fires before the value for the configuration attribute 'dataSrc' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeDatatimeoutChange

`beforeDatatimeoutChange ( eventInfo )`
Fires before the value for the configuration attribute 'dataTimeout' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeDisabledChange

`beforeDisabledChange ( eventInfo )`
Fires before the value for the configuration attribute 'disabled' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeHrefChange

`beforeHrefChange ( eventInfo )`
Fires before the value for the configuration attribute 'href' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeLabelChange

`beforeLabelChange ( eventInfo )`
Fires before the value for the configuration attribute 'label' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeLabelelChange

`beforeLabelelChange ( eventInfo )`
Fires before the value for the configuration attribute 'labelEl' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeLoadmethodChange

`beforeLoadmethodChange ( eventInfo )`
Fires before the value for the configuration attribute 'loadMethod' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### cacheDataChange

`cacheDataChange ( eventInfo )`
Fires when the value for the configuration attribute 'cacheData' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### contentChange

`contentChange ( eventInfo )`
Fires when the value for the configuration attribute 'content' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### contentElChange

`contentElChange ( eventInfo )`
Fires when the value for the configuration attribute 'contentEl' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### contentVisibleChange

`contentVisibleChange ( eventInfo )`
Fires when the value for the configuration attribute 'contentVisible' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### dataLoadedChange

`dataLoadedChange ( eventInfo )`
Fires when the value for the configuration attribute 'dataLoaded' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### dataSrcChange

`dataSrcChange ( eventInfo )`
Fires when the value for the configuration attribute 'dataSrc' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### dataTimeoutChange

`dataTimeoutChange ( eventInfo )`
Fires when the value for the configuration attribute 'dataTimeout' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### disabledChange

`disabledChange ( eventInfo )`
Fires when the value for the configuration attribute 'disabled' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### hrefChange

`hrefChange ( eventInfo )`
Fires when the value for the configuration attribute 'href' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### labelChange

`labelChange ( eventInfo )`
Fires when the value for the configuration attribute 'label' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### labelElChange

`labelElChange ( eventInfo )`
Fires when the value for the configuration attribute 'labelEl' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### loadMethodChange

`loadMethodChange ( eventInfo )`
Fires when the value for the configuration attribute 'loadMethod' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### Events inherited from YAHOO.util.Element:

`appendTo, available, beforeAppendTo, beforeElementChange, contentReady, elementChange,`

### Configuration Attributes

#### activationEvent `- String`

The event that triggers the tab's activation.

#### active `- Boolean`

Whether or not the tab is currently active. If a dataSrc is set for the tab, the content will be loaded from the given source.

#### cacheData `- Boolean`

Whether or not content should be reloaded for every view.
Default Value: false

#### content `- String`

The tab's content.

#### contentEl `- HTMLElement`

The HTMLElement that contains the tab's content.

#### contentVisible `- Boolean`

The Whether or not the tab's content is visible.
Default Value: false

#### dataLoaded `- Boolean`

Whether or not any data has been loaded from the server.

#### dataSrc `- String`

The tab's data source, used for loading content dynamically.

#### dataTimeout `- Number`

Number if milliseconds before aborting and calling failure handler.
Default Value: null

#### disabled `- Boolean`

Whether or not the tab is disabled.

#### href `- String`

The href of the tab's anchor element.
Default Value: '#'

#### label `- String`

The tab's label text (or innerHTML).

#### labelEl `- HTMLElement`

The element that contains the tab's label.

#### loadMethod `- String`

The method to use for the data request.
Default Value: "GET"

#### Configuration attributes inherited from YAHOO.util.Element:

`element,`

Copyright © 2007 Yahoo! Inc. All rights reserved.